summaryrefslogtreecommitdiffstats
path: root/tests/ts/fsck/ismounted
diff options
context:
space:
mode:
authorKarel Zak2009-02-18 16:10:45 +0100
committerKarel Zak2009-02-18 16:10:45 +0100
commit355eceba7ef60805123fad0bdcc69996891537be (patch)
treea0de2c64db7e4d9010db9e2953f78443e1289077 /tests/ts/fsck/ismounted
parentlib: add test_ismounted for regression test (diff)
downloadkernel-qcow2-util-linux-355eceba7ef60805123fad0bdcc69996891537be.tar.gz
kernel-qcow2-util-linux-355eceba7ef60805123fad0bdcc69996891537be.tar.xz
kernel-qcow2-util-linux-355eceba7ef60805123fad0bdcc69996891537be.zip
tests: add fsck:ismounted reg.test
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests/ts/fsck/ismounted')
-rwxr-xr-xtests/ts/fsck/ismounted45
1 files changed, 45 insertions, 0 deletions
diff --git a/tests/ts/fsck/ismounted b/tests/ts/fsck/ismounted
new file mode 100755
index 000000000..3279ddfd0
--- /dev/null
+++ b/tests/ts/fsck/ismounted
@@ -0,0 +1,45 @@
+#!/bin/bash
+#
+# Copyright (C) 2009 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+TS_TOPDIR="$(dirname $0)/../.."
+TS_DESC="is mounted"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+ts_skip_nonroot
+
+set -o pipefail
+
+> $TS_OUTPUT
+
+DEVICE=$(ts_device_init)
+[ "$?" == 0 ] || ts_die "Cannot init device"
+
+mkfs.ext3 $DEVICE &> /dev/null || ts_die "Cannot make ext3 on $DEVICE" $DEVICE
+
+ts_device_has "TYPE" "ext3" $DEVICE || ts_die "Cannot found ext3 on $DEVICE" $DEVICE
+
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+$TS_CMD_MOUNT $DEVICE $TS_MOUNTPOINT >> $TS_OUTPUT 2>&1
+
+# test by ismounted.c
+$TS_HELPER_ISMOUNTED $DEVICE >> $TS_OUTPUT 2>&1
+
+$TS_CMD_UMOUNT $DEVICE || ts_die "Cannot umount $DEVICE" $DEVICE
+
+ts_device_deinit $DEVICE
+ts_finalize